import uuid

from typing import Optional

from pydantic import BaseModel, Field

from . import to_camel


class SectionIn(BaseModel):
    name: str = Field(..., min_length=1)

    class Config:
        fields = {"id_": "id"}
        anystr_strip_whitespace = True
        alias_generator = to_camel


class Section(SectionIn):
    id_: uuid.UUID


class SectionLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: Optional[str]

    class Config:
        fields = {"id_": "id"}
